### Constructor

# Gtk AlternativeTrigger newv

unstable since: 4.24

#### Declaration [src]

    GtkShortcutTrigger*
    gtk_alternative_trigger_newv (
      GtkShortcutTrigger** triggers,
      size_t n_triggers
    )

#### Description [src]

Creates a `GtkShortcutTrigger` that will trigger whenever any of the given triggers gets triggered.

Available since: 4.24

#### Parameters

`triggers`

  Type: An array of `GtkShortcutTrigger*`

  The triggers.

  The length of the array is specified in the `n_triggers` argument.
  The called function takes ownership of the data, and is responsible for freeing it.

`n_triggers`

  Type: `size_t`

  The number of triggers.

#### Return value

Type: `GtkShortcutTrigger`

A new `GtkShortcutTrigger`.

The caller of the function takes ownership of the data, and is responsible for freeing it.